Last rites: razorqt-base/*

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Last rites: razorqt-base/*

Ben de Groot-2
# Ben de Groot <[hidden email]> (7 Nov 2014)
# Unmaintained, no longer supported, and starting to throw compilation
# errors (bug #513906, bug #528372). Masked for removal in 30 days.
# Update to lxqt-base/* packages.
razorqt-base/libqtxdg
razorqt-base/razorqt-appswitcher
razorqt-base/razorqt-autosuspend
razorqt-base/razorqt-config
razorqt-base/razorqt-data
razorqt-base/razorqt-desktop
razorqt-base/razorqt-kbshortcuts
razorqt-base/razorqt-libs
razorqt-base/razorqt-lightdm-greeter
razorqt-base/razorqt-meta
razorqt-base/razorqt-notifications
razorqt-base/razorqt-openssh-askpass
razorqt-base/razorqt-panel
razorqt-base/razorqt-policykit
razorqt-base/razorqt-power
razorqt-base/razorqt-runner
razorqt-base/razorqt-session

--
Cheers,

Ben | yngwin
Gentoo developer

Reply | Threaded
Open this post in threaded view
|

Re: Last rites: razorqt-base/*

Jauhien Piatlicki-2
Hi Ben,

Have you read comments on Qt overlay commit? Have you check reverse dependencies of packages you are masking? razorqt-base/libqtxdg is used by LXQt. So, please, unmask it. I will move it into lxqt-base category. But until this, please, do not touch it. And, please, make sure you are reading metadata.xml and checking revdeps of packages you are touching.

--
Jauhien

08.11.14 06:25, Ben de Groot написав(ла):

> # Ben de Groot <[hidden email]> (7 Nov 2014)
> # Unmaintained, no longer supported, and starting to throw compilation
> # errors (bug #513906, bug #528372). Masked for removal in 30 days.
> # Update to lxqt-base/* packages.
> razorqt-base/libqtxdg
> razorqt-base/razorqt-appswitcher
> razorqt-base/razorqt-autosuspend
> razorqt-base/razorqt-config
> razorqt-base/razorqt-data
> razorqt-base/razorqt-desktop
> razorqt-base/razorqt-kbshortcuts
> razorqt-base/razorqt-libs
> razorqt-base/razorqt-lightdm-greeter
> razorqt-base/razorqt-meta
> razorqt-base/razorqt-notifications
> razorqt-base/razorqt-openssh-askpass
> razorqt-base/razorqt-panel
> razorqt-base/razorqt-policykit
> razorqt-base/razorqt-power
> razorqt-base/razorqt-runner
> razorqt-base/razorqt-session
>


signature.asc (853 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Last rites: razorqt-base/*

Jauhien Piatlicki-2
I see it was unmasked back already. Thanks.

--
Jauhien

08.11.14 12:15, Jauhien Piatlicki написав(ла):

> Hi Ben,
>
> Have you read comments on Qt overlay commit? Have you check reverse dependencies of packages you are masking? razorqt-base/libqtxdg is used by LXQt. So, please, unmask it. I will move it into lxqt-base category. But until this, please, do not touch it. And, please, make sure you are reading metadata.xml and checking revdeps of packages you are touching.
>
> --
> Jauhien
>
> 08.11.14 06:25, Ben de Groot написав(ла):
>> # Ben de Groot <[hidden email]> (7 Nov 2014)
>> # Unmaintained, no longer supported, and starting to throw compilation
>> # errors (bug #513906, bug #528372). Masked for removal in 30 days.
>> # Update to lxqt-base/* packages.
>> razorqt-base/libqtxdg
>> razorqt-base/razorqt-appswitcher
>> razorqt-base/razorqt-autosuspend
>> razorqt-base/razorqt-config
>> razorqt-base/razorqt-data
>> razorqt-base/razorqt-desktop
>> razorqt-base/razorqt-kbshortcuts
>> razorqt-base/razorqt-libs
>> razorqt-base/razorqt-lightdm-greeter
>> razorqt-base/razorqt-meta
>> razorqt-base/razorqt-notifications
>> razorqt-base/razorqt-openssh-askpass
>> razorqt-base/razorqt-panel
>> razorqt-base/razorqt-policykit
>> razorqt-base/razorqt-power
>> razorqt-base/razorqt-runner
>> razorqt-base/razorqt-session
>>
>
>


signature.asc (853 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Last rites: razorqt-base/*

Ben de Groot-2
In reply to this post by Jauhien Piatlicki-2
On 8 November 2014 19:15, Jauhien Piatlicki <[hidden email]> wrote:
> Hi Ben,
>
> Have you read comments on Qt overlay commit? Have you check reverse dependencies of packages you are masking? razorqt-base/libqtxdg is used by LXQt. So, please, unmask it. I will move it into lxqt-base category. But until this, please, do not touch it. And, please, make sure you are reading metadata.xml and checking revdeps of packages you are touching.

I mistakenly assumed you had a newer version of all packages in the
lxqt-base category. Nothing outside of the razorqt-base category
should logically have depended on a package in there. Anyway, I have
since fixed this issue with a package move to dev-libs/libqtxdg. I
have adjusted the depend lines in relevant lxqt ebuilds.

--
Cheers,

Ben | yngwin
Gentoo developer